Skip to main content
POST
/
v1
/
pricing
curl --request POST \
  --url https://api.monk.com/v1/pricing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productName": "Platform Access",
  "name": "Monthly Platform Fee",
  "model": "FLAT",
  "billingMode": "RECURRING",
  "unitAmount": "99.00",
  "priceInterval": "MONTH",
  "priceIntervalCount": 1
}
'
{
  "data": {
    "id": "<string>",
    "productId": "<string>",
    "productName": "<string>",
    "name": "<string>",
    "description": "<string>",
    "model": "FLAT",
    "billingMode": "RECURRING",
    "tiering": "NONE",
    "unitAmount": "<string>",
    "flatAmount": "<string>",
    "priceInterval": "<string>",
    "priceIntervalCount": 123,
    "meterId": "<string>",
    "pricingTiers": [
      {
        "unitAmount": "<string>",
        "minQty": "<string>",
        "maxQty": "<string>",
        "flatAmount": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z"
  }
}
Provide either productId (existing) or productName (new product). Scope: pricing:write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
model
enum<string>
required
Available options:
FLAT,
TIER,
USAGE
billingMode
enum<string>
required
Available options:
RECURRING,
ONE_TIME
productId
string

Existing product UUID. Provide this or productName.

productName
string

Name for new product. Provide this or productId.

productDescription
string
description
string
unitAmount
string

Decimal string with sub-cent precision, e.g. "0.001" for $0.001/unit. Required for FLAT.

flatAmount
string

Optional flat fee added to usage charges

priceInterval
enum<string>

Required when billingMode is RECURRING.

Available options:
WEEK,
MONTH,
YEAR
priceIntervalCount
integer
tiering
enum<string>
default:NONE
Available options:
NONE,
VOLUME,
GRADUATED
pricingTiers
object[]

Required when model is TIER.

meterId
string

Required when model is USAGE.

Response

Pricing created

data
object